EUCA-UNBUNDLE-STREAM(1)

NAME
euca-unbundle-stream - Recreate an image solely from its combined bundled parts without using a manifest

SYNOPSIS
euca-unbundle-stream [-i FILE] [-o FILE] --enc-key HEX --enc-iv HEX

[--image-size BYTES] [--sha1-digest HEX]
    [--progress | --no-progress] [--region USER@REGION] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Recreate an image solely from its combined bundled parts without using a manifest

DESCRIPTION
Usually one would want to use euca-unbundle instead.

  optional arguments:

-i FILE
    file to read the bundle from (default: stdin)

-o FILE
    file to write the unbundled image to (default: stdout)

--enc-key HEX
    the symmetric key used to encrypt the bundle (required)

--enc-iv HEX
    the initialization vector used to encrypt the bundle (required)

--image-size BYTES
    verify the unbundled image is a certain size

--sha1-digest HEX
    verify the image's contents against a SHA1 digest from its manifest file

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

--region USER@REGION
    region and/or user names to search when looking up config file data

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit